namespace MigrationExample.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class AlterTyreColorToNonNull : DbMigration
    {
        public override void Up()
        {
            AlterColumn("dbo.TyreType", "TyreColorId", c => c.Int(nullable: false));
            CreateIndex("dbo.TyreType", "TyreColorId"); 
        }
        
        public override void Down()
        {
            DropIndex("dbo.TyreType", new[] { "TyreColorId" });
            AlterColumn("dbo.TyreType", "TyreColorId", c => c.Int(nullable: true));
        }
    }
}
