﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MigrationExample.Models
{
    public class TyreType
    {
        public int TyreTypeID { get; set; }

        [Required]
        [Column(TypeName = "varchar")]
        [MaxLength(50)]
        public string Name { get; set; }

        [Required]
        [Column(TypeName = "varchar")]
        [MaxLength(50)]
        public string Material { get; set; }
        
        public int TyreColorId { get; set; }
        public virtual TyreColor TyreColor { get; set; }
    }
}